%global oname android
Name:          android-java
Version:       4.1.1.4
Release:       1%{?dist}
Summary:       Google Android Java Library
License:       ASL 2.0
# While the EULA for the Android SDK restricts distribution of those binaries, the source code 
# is licensed under Apache 2.0 which allows compiling binaries from source and then distributing
# those versions.
URL:           http://source.android.com/
Source0:       http://repo2.maven.org/maven2/com/google/android/android/%{version}/android-%{version}-sources.jar
Source1:       http://repo2.maven.org/maven2/com/google/android/android/%{version}/android-%{version}.pom
# android package don't include the license file    
Source2:       http://www.apache.org/licenses/LICENSE-2.0.txt

BuildRequires: android-json-org-java
BuildRequires: android-opengl-api
BuildRequires: apache-commons-logging
BuildRequires: httpcomponents-client
BuildRequires: sonatype-oss-parent
BuildRequires: xerces-j2
BuildRequires: xpp3

BuildRequires: maven-local
BuildRequires: maven-enforcer-plugin

BuildArch:     noarch

%description
A library jar that provides APIs for Applications
written for the Google Android Platform.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -T -q -c

mkdir -p src/main/{java,resources}

(
  cd src/main/java
  %jar -xf %{SOURCE0}
  rm -rf META-INF
)

cp -p %{SOURCE1} pom.xml

# clone source directory structure
find src/main/java/ -type d | while read dirname ; do
  newdirname=`echo $dirname | sed "s:src/main/java:src/main/resources:g"`
  mkdir -p $newdirname
done

# copy everything except *.java sources
find src/main/java/ -type f | grep -v "\.java" | while read cpfrom ; do
  cpto=`echo $cpfrom | sed "s:src/main/java:src/main/resources:g"`
  cp $cpfrom $cpto
done

cp -p %{SOURCE2} .
sed -i 's/\r//' LICENSE-2.0.txt

%mvn_file :%{oname} %{oname}

%build

%mvn_build -- -Dproject.build.sourceEncoding=UTF-8

%install
%mvn_install

%files -f .mfiles
%license LICENSE-2.0.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE-2.0.txt

%changelog
* Sun Feb 22 2015 gil cattaneo <puntogil@libero.it> 4.1.1.4-2
- renamed
- introduce license macro

* Wed Oct 03 2012 gil cattaneo <puntogil@libero.it> 4.1.1.4-1
- update to 4.1.1.4

* Tue Jul 03 2012 gil cattaneo <puntogil@libero.it> 4.0.1.2-1
- initial rpm
